Map.setCenter(18.42, 47.19, 12); // Székesfehérvár
var kozeppont = Map.getCenter();

var egyik_landsat = ee.ImageCollection("LANDSAT/LC08/C02/T1_L2")
	.filterBounds(kozeppont)
	.filterDate("2022-05-01", "2022-10-31")
	.first();

var megjelenitesi_beallitasok = {
	"min": 5000,
	"max": 15000,
	"bands": ["SR_B4", "SR_B3", "SR_B2"]
};
Map.addLayer(egyik_landsat, megjelenitesi_beallitasok, "egyik Landsat-kép");

print(egyik_landsat.bandNames());
print(egyik_landsat.bandTypes());
print(egyik_landsat.bandTypes().keys());

var retegtartomany1 = egyik_landsat.slice(5, 8);
print(retegtartomany1.bandNames()); // ['SR_B6', 'SR_B7', 'SR_QA_AEROSOL']
var retegtartomany2 = egyik_landsat.slice(15);
print(retegtartomany2.bandNames()); // ['ST_TRAD', 'ST_URAD', 'QA_PIXEL', 'QA_RADSAT']
var retegtartomany3 = egyik_landsat.slice(-2);
print(retegtartomany3.bandNames()); // ['QA_PIXEL', 'QA_RADSAT']

var valogatott_retegek1 = egyik_landsat.select(["SR_B4", "SR_B3", "SR_B2"]);
print(valogatott_retegek1.bandNames()); // ['SR_B4', 'SR_B3', 'SR_B2']
var valogatott_retegek2 = egyik_landsat.select([5, 8, 2]);
print(valogatott_retegek2.bandNames()); // ['SR_B6', 'ST_B10', 'SR_B3']
valogatott_retegek2 = valogatott_retegek2.select(["SR_B6", "ST_B10"]); // SR_B3 törlése
print(valogatott_retegek2.bandNames()); // ['SR_B6', 'ST_B10']

valogatott_retegek2 = valogatott_retegek2.rename(["hatos", "tizes"]); // rétegek átnevezése
print(valogatott_retegek2.bandNames()); // ['hatos', 'tizes']

var valogatott_retegek3 = egyik_landsat.select(["SR_B6", "ST_B10"], ["hatos", "tizes"]); // rétegek leválogatása és átnevezése
print(valogatott_retegek3.bandNames()); // ['hatos', 'tizes']

var bovitett1 = valogatott_retegek3.addBands(valogatott_retegek1);
print(bovitett1.bandNames()); // ['hatos', 'tizes', 'SR_B4', 'SR_B3', 'SR_B2']
var bovitett2 = valogatott_retegek3.addBands(valogatott_retegek1, ["SR_B4", "SR_B2"]);
print(bovitett2.bandNames()); // ['hatos', 'tizes', 'SR_B4', 'SR_B2']

print(valogatott_retegek1.bandNames()); // ['SR_B4', 'SR_B3', 'SR_B2']
var bovitett3 = valogatott_retegek1.addBands(egyik_landsat.select(["SR_B2", "SR_B6"]), null, true);
print(bovitett3.bandNames()); // ['SR_B4', 'SR_B3', 'SR_B2', 'SR_B6']
var bovitett4 = valogatott_retegek1.addBands(egyik_landsat.select(["SR_B2", "SR_B6"]), null, false);
print(bovitett4.bandNames()); // ['SR_B4', 'SR_B3', 'SR_B2', 'SR_B2_1', 'SR_B6']
var bovitett5 = valogatott_retegek1.addBands(egyik_landsat.select(["SR_B2", "SR_B6"]));
print(bovitett5.bandNames()); // ['SR_B4', 'SR_B3', 'SR_B2', 'SR_B2_1', 'SR_B6']
