Map.setCenter(20.65, 7.6, 11); // Tisza-tó
var kozeppont = Map.getCenter();

var aprilis = ee.ImageCollection("LANDSAT/LC09/C02/T1_L2")
	.filterBounds(kozeppont)
	.filterDate("2023-04-01", "2023-04-30")
	.first()
	.select(["SR_B4", "SR_B3", "SR_B2"], ["piros", "zold", "kek"]);
print(aprilis.bandNames()); // ['piros', 'zold', 'kek']
Map.addLayer(aprilis, {"min": 5000, "max": 15000}, "áprilisi Landsat9-kép");

var piros_reteg = aprilis.select("piros");
var piros_reteg_negyzetgyoke = piros_reteg.sqrt().floor();
Map.addLayer(piros_reteg_negyzetgyoke, {"min": 50, "max": 150}, "piros réteg négyzetgyökének alsó egészrésze");

var osszes_reteg_negyzetgyoke = aprilis.sqrt().round();
print(osszes_reteg_negyzetgyoke.bandNames()); // ['piros', 'zold', 'kek']
Map.addLayer(osszes_reteg_negyzetgyoke, {"min": 50, "max": 150}, "összes réteg négyzetgyöke kerekítve");

var osszeg = aprilis.select("piros").add(aprilis.select("zold")).add(aprilis.select("kek"));
print(osszeg.bandNames()); // ['piros']
osszeg = osszeg.rename("osszeg");

var atlag = osszeg.divide(3);
print(atlag.bandNames()); // ['osszeg']
atlag = atlag.rename("atlag");
var aprilis_bovitett = aprilis.addBands(atlag);
Map.addLayer(aprilis_bovitett.select("atlag"), {"min": 5000, "max": 15000}, "rétegek átlaga");

var majus = ee.ImageCollection("LANDSAT/LC09/C02/T1_L2")
	.filterBounds(kozeppont)
	.filterDate("2023-05-01", "2023-05-31")
	.first()
	.select(["SR_B4", "SR_B3", "SR_B2"], ["piros", "zold", "kek"]);
Map.addLayer(majus, {"min": 5000, "max": 15000}, "májusi Landsat9-kép");

var elteres = aprilis.subtract(majus).abs();
Map.addLayer(elteres, {"min": 0, "max": 1000}, "eltérés");

var elteres_az_atlagtol = majus.subtract(atlag).abs();
Map.addLayer(elteres_az_atlagtol, {"min": 0, "max": 1000}, "eltérés az áprilisi átlagtól");

var zoldult = aprilis.select("zold").lte(majus.select("zold"));
Map.addLayer(zoldult, {"min": 0, "max": 1}, "áprilisihez képest zöldült-e");

var nagyon_kek = majus.select("kek").gte(10000);
var nem_zoldult_vagy_kek = zoldult.not().or(nagyon_kek);
Map.addLayer(nem_zoldult_vagy_kek, {"min": 0, "max": 1}, "nem zöldült vagy nagyon kék");

